# Interface methods for submodule: CumulativeGaussianOptimizer
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import MultipleValuedNonLinearOptimizerProxy as _MultipleValuedNonLinearOptimizerProxy


# Interface methods for class: CumulativeGaussianOptimizer
class CumulativeGaussianOptimizerProxy(_MultipleValuedNonLinearOptimizerProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetDifferenceTolerance(self, _arg: float) -> None:
		""""""
		...

	def GetDifferenceTolerance(self) -> float:
		""""""
		...

	def SetVerbose(self, _arg: bool) -> None:
		""""""
		...

	def GetVerbose(self) -> bool:
		""""""
		...

	def VerboseOn(self) -> None:
		""""""
		...

	def VerboseOff(self) -> None:
		""""""
		...

	def GetComputedMean(self) -> float:
		""""""
		...

	def GetComputedStandardDeviation(self) -> float:
		""""""
		...

	def GetUpperAsymptote(self) -> float:
		""""""
		...

	def GetLowerAsymptote(self) -> float:
		""""""
		...

	def GetFinalSampledArray(self):
		""""""
		...

	def GetFitError(self) -> float:
		""""""
		...

	def SetDataArray(self, cumGaussianArray) -> None:
		""""""
		...

	def StartOptimization(self) -> None:
		""""""
		...

	def PrintArray(self, array) -> None:
		""""""
		...

	def GetStopConditionDescription(self) -> str:
		""""""
		...

